[arch-commits] Commit in python-httplib2/trunk (PKGBUILD cert.patch)

Felix Yan felixonmars at archlinux.org
Thu Nov 15 18:01:59 UTC 2018


    Date: Thursday, November 15, 2018 @ 18:01:58
  Author: felixonmars
Revision: 407731

upgpkg: python-httplib2 0.12.0-1

Modified:
  python-httplib2/trunk/PKGBUILD
  python-httplib2/trunk/cert.patch

------------+
 PKGBUILD   |   23 ++++++++++++----------
 cert.patch |   61 ++++++++++++++++++++++++++++++++---------------------------
 2 files changed, 47 insertions(+), 37 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2018-11-15 16:58:04 UTC (rev 407730)
+++ PKGBUILD	2018-11-15 18:01:58 UTC (rev 407731)
@@ -8,24 +8,27 @@
 
 pkgbase=python-httplib2
 pkgname=(python-httplib2 python2-httplib2)
-pkgver=0.11.3
-pkgrel=2
+pkgver=0.12.0
+pkgrel=1
 pkgdesc='Comprehensive HTTP client library, supporting many features'
 url='https://github.com/httplib2/httplib2'
 license=('MIT')
 arch=('any')
 makedepends=('ca-certificates' 'python-setuptools' 'python2-setuptools')
-checkdepends=('python-mock' 'python2-mock' 'python-pytest-cov' 'python2-pytest-cov'
-              'python-pytest-runner' 'python2-pytest-runner' 'python-pytest-timeout'
-              'python2-pytest-timeout')
+checkdepends=('flake8' 'python2-flake8' 'python-mock' 'python2-mock' 'python-pytest-cov'
+              'python2-pytest-cov' 'python-pytest-forked' 'python2-pytest-forked'
+              'python-pytest-timeout' 'python2-pytest-timeout' 'python-pytest-xdist'
+              'python2-pytest-xdist' 'python-pytest-randomly' 'python2-pytest-randomly'
+              'python-future' 'python2-future')
 source=("$pkgbase-$pkgver.tar.gz::https://github.com/httplib2/httplib2/archive/v$pkgver.tar.gz"
         'cert.patch')
-sha512sums=('d9e216901f1bdab9a43caa5d25ba5d39e851d391ebe257ee8be517964ce185aed2accab8a1caf93fc3ed018586445ab78c4e84f26ca647e0ab76810c2f06e741'
-            'e260b86b222a65dffed151c5d2ee9ff16fd9d829e5932a5fa1cbb64b4e0195d70e4704733922091004f07d6d83ebe532aec07bc563b932f8e543dbce518b0714')
+sha512sums=('bafde0ae00a96c70165b2555e4a5293a31968b50061e255e809396365a6e072153598d60af384785d54d1b3aba7cce51e7e20113656d2e3bd13e32192f67a850'
+            '503719fb07b9ff1f06f252b73804787759139098dba990a7dcd9e9b3602f7271d2251e703993636b249b3597c9a240c721c536a4fe31526ec4ba9441f6c8da56')
 
 prepare() {
   cd httplib2-$pkgver
-  patch -p1 -i "$srcdir"/cert.patch
+  patch -p0 -i "$srcdir"/cert.patch
+  sed -i 's/==/>=/' requirements-test.txt
 
   cp -a "$srcdir"/httplib2-$pkgver{,-py2}
 }
@@ -40,10 +43,10 @@
 
 check() {
   cd "$srcdir"/httplib2-$pkgver
-  python setup.py pytest --addopts tests || warning "Tests failed"
+  python setup.py test
 
   cd "$srcdir"/httplib2-$pkgver-py2
-  python2 setup.py pytest --addopts tests || warning "Tests failed"
+  python2 setup.py test || warning "Tests failed"
 }
 
 package_python-httplib2() {

Modified: cert.patch
===================================================================
--- cert.patch	2018-11-15 16:58:04 UTC (rev 407730)
+++ cert.patch	2018-11-15 18:01:58 UTC (rev 407731)
@@ -1,30 +1,37 @@
-diff -ur httplib2-0.8.orig/python2/httplib2/__init__.py httplib2-0.8/python2/httplib2/__init__.py
---- httplib2-0.8.orig/python2/httplib2/__init__.py	2014-05-01 23:25:52.459852279 +0200
-+++ httplib2-0.8/python2/httplib2/__init__.py	2014-05-01 23:28:08.822391994 +0200
-@@ -190,9 +190,8 @@
-     import ca_certs_locater
-     CA_CERTS = ca_certs_locater.get()
- except ImportError:
--    # Default CA certificates file bundled with httplib2.
--    CA_CERTS = os.path.join(
--        os.path.dirname(os.path.abspath(__file__ )), "cacerts.txt")
-+    # Use system CA certificates
-+    CA_CERTS = "/etc/ssl/certs/ca-certificates.crt"
+--- python2/httplib2/certs.py.orig	2018-11-15 20:09:04.605507207 +0800
++++ python2/httplib2/certs.py	2018-11-15 20:10:35.122107327 +0800
+@@ -19,9 +19,7 @@
+     pass
  
- # Which headers are hop-by-hop headers by default
- HOP_BY_HOP = ['connection', 'keep-alive', 'proxy-authenticate', 'proxy-authorization', 'te', 'trailers', 'transfer-encoding', 'upgrade']
-diff -ur httplib2-0.8.orig/python3/httplib2/__init__.py httplib2-0.8/python3/httplib2/__init__.py
---- httplib2-0.8.orig/python3/httplib2/__init__.py	2013-03-06 21:40:54.000000000 +0100
-+++ httplib2-0.8/python3/httplib2/__init__.py	2014-05-01 23:28:36.822913468 +0200
-@@ -123,9 +123,8 @@
- # Which headers are hop-by-hop headers by default
- HOP_BY_HOP = ['connection', 'keep-alive', 'proxy-authenticate', 'proxy-authorization', 'te', 'trailers', 'transfer-encoding', 'upgrade']
  
--# Default CA certificates file bundled with httplib2.
--CA_CERTS = os.path.join(
--        os.path.dirname(os.path.abspath(__file__ )), "cacerts.txt")
-+# Use system CA certificates
-+CA_CERTS = "/etc/ssl/certs/ca-certificates.crt"
+-BUILTIN_CA_CERTS = os.path.join(
+-    os.path.dirname(os.path.abspath(__file__)), "cacerts.txt"
+-)
++BUILTIN_CA_CERTS = "/etc/ssl/certs/ca-certificates.crt"
  
- def _get_end2end_headers(response):
-     hopbyhop = list(HOP_BY_HOP)
+ 
+ def where():
+--- python3/httplib2/certs.py.orig	2018-11-15 20:09:15.708832692 +0800
++++ python3/httplib2/certs.py	2018-11-15 20:11:16.888741464 +0800
+@@ -19,9 +19,7 @@
+     pass
+ 
+ 
+-BUILTIN_CA_CERTS = os.path.join(
+-    os.path.dirname(os.path.abspath(__file__)), "cacerts.txt"
+-)
++BUILTIN_CA_CERTS = "/etc/ssl/certs/ca-certificates.crt"
+ 
+ 
+ def where():
+--- tests/test_cacerts_from_env.py.orig	2018-11-15 20:21:46.148162984 +0800
++++ tests/test_cacerts_from_env.py	2018-11-15 20:21:58.051484347 +0800
+@@ -6,7 +6,7 @@
+ import httplib2
+ 
+ 
+-CA_CERTS_BUILTIN = os.path.join(os.path.dirname(httplib2.__file__), "cacerts.txt")
++CA_CERTS_BUILTIN = "/etc/ssl/certs/ca-certificates.crt"
+ CERTIFI_CERTS_FILE = "unittest_certifi_file"
+ CUSTOM_CA_CERTS = "unittest_custom_ca_certs"
+ 



More information about the arch-commits mailing list